## kdeplasma-addons 5.9.4

=== debian/changelog ===
kdeplasma-addons (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 20:00:14 +0000

kdeplasma-addons (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:54:08 +0000

kdeplasma-addons (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:07:14 +0000

kdeplasma-addons (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)
  * Update installed appstream data

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:22:10 +0000

kdeplasma-addons (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:56:27 +0000

kdeplasma-addons (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:47 +0000

kdeplasma-addons (4:5.8.4-0ubuntu2) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * Remove files not installed any more

  [ Rik Mills ]
  * Install files for grouping plasmoids

  [ Clive Johnston ]
  * Updating install files

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 16 Dec 2016 23:44:01 +0000

kdeplasma-addons (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian, dropping the -dbg package in the process
  * Remove quickshare files from not-installed, they were there while
    purpose wansn't available for debian
  * Add quickshare files to plasma-widgets-addons.install

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * Update install files
    - Install mediaframe json instead of desktop file and consolidate file path
    - New quickshare plasmoid
    - Add new appstream data file
  * New upstream release (5.8.4)
  
  [ Clive Johnston ]
  * Fixing install files
  * Fixing lintian-overrides

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:55:54 +0000

kdeplasma-addons (4:5.7.2-0ubuntu2) UNRELEASED; urgency=medium

  * Install new appstream data
  * Update breaks/replaces
  * Install new minimizeall plasmoid
  * Remove activity pager as this is now in plasma-desktop

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 18 Aug 2016 15:47:22 +0100
