=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libboost-dev,
               libgee-0.8-dev | libgee-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5runner-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sysguard-dev (>= 4:5.9.4~),
               libkf5unitconversion-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-shm0-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.9.4~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               scim-dev,
               shared-mime-info
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 5
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-x11 | kwin,
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Replaces: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 5 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool5,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-framework,
         plasma-workspace,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kio,
         qml-module-qtgraphicaleffects,
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-wallpapers-addons (<< ${source:Version})
Replaces: plasma-wallpapers-addons (<< ${source:Version})
Description: additional widgets for Plasma 5
 This package contains additional Plasma 5 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Calculator
  * Dictionary
  * Fuzzy Clock
  * Konsole Profiles
  * Notes
  * System Load Viewer
  * Timer
  * Unit Converter
  * Userswitcher
  * Diskquota
  * Activity pager
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-dataengines-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kross,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-widgets-addons (<< ${source:Version})
Replaces: plasma-widgets-addons (<< ${source:Version})
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 5
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional runners for Plasma 5 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Dictionary
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional wallpaper plugins for Plasma 5
 This package contains additional Plasma 5 wallpaper plugins that are used in
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.
