## kdeplasma-addons 5.9.5

=== debian/changelog ===
kdeplasma-addons (4:5.9.5-0ubuntu0.3) zesty; urgency=high

  * Put qml-module-org-kde-purpose in the correct spot (LP: #1715219).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 20 Sep 2017 22:43:34 -0500

kdeplasma-addons (4:5.9.5-0ubuntu0.2) zesty; urgency=medium

  * Add missing qml-module-org-kde-purpose dependency to plasma-widgets-addons
    which is required for the quickshare plasmoid (LP: #1715219).

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 05 Sep 2017 17:55:27 -0500

kdeplasma-addons (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:17:32 +0100
