=== debian/control ===
--- 
+++ 
@@ -81,6 +81,7 @@
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
+         qml-module-org-kde-purpose,
          qml-module-qtgraphicaleffects,
          qml-module-qtwebkit,
          ${misc:Depends},
