## kdeplasma-addons 5.10.5

=== debian/changelog ===
kdeplasma-addons (4:5.10.5-0ubuntu2) artful; urgency=medium

  * Add missing qml-module-org-kde-purpose dependency to plasma-widgets-addons
    which is required for the quickshare plasmoid (LP: #1715219)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 05 Sep 2017 20:30:23 +0100

kdeplasma-addons (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:57 +0100

kdeplasma-addons (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:39:01 +0100

kdeplasma-addons (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:17:34 +0100

kdeplasma-addons (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:14:07 +0100

kdeplasma-addons (4:5.10.1a-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)
  * Update version for re-spun tarball

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:46 +0100

kdeplasma-addons (4:5.10.0-0ubuntu1) artful; urgency=medium

  * Install files for binary clock widget
  * New upstream release (5.9.95)
  * Update runtime dependencies
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:51:07 +0100

kdeplasma-addons (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:33:56 +0100
