=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kinit-dev (>= 5.31.0~),
-               kross-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               kinit-dev (>= 5.36.0~),
+               kross-dev (>= 5.36.0~),
                libboost-dev,
                libgee-0.8-dev | libgee-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5newstuff-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
-               libkf5runner-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5sysguard-dev (>= 4:5.9.4~),
-               libkf5unitconversion-dev (>= 5.31.0~),
+               libkf5activities-dev (>= 5.36.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5configwidgets-dev (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5kcmutils-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5newstuff-dev (>= 5.36.0~),
+               libkf5plasma-dev (>= 5.36.0~),
+               libkf5runner-dev (>= 5.36.0~),
+               libkf5service-dev (>= 5.36.0~),
+               libkf5sysguard-dev (>= 4:5.10.5~),
+               libkf5unitconversion-dev (>= 5.36.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -33,7 +33,7 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.9.4~),
+               plasma-workspace-dev (>= 4:5.10.5~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                scim-dev,
@@ -75,6 +75,7 @@
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
          kpackagetool5,
+         libkf5purpose5,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework,
          plasma-workspace,
@@ -83,6 +84,8 @@
          qml-module-org-kde-kio,
          qml-module-org-kde-purpose,
          qml-module-qtgraphicaleffects,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
          qml-module-qtwebkit,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -113,6 +116,8 @@
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
          kross,
+         plasma-framework,
+         qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: plasma-widgets-addons (<< ${source:Version})
