=== libs/CMakeLists.txt ===

add_subdirectory(plasmaweather)
