=== debian/changelog ===
kdeplasma-addons (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:52:36 +0100

kdeplasma-addons (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:45 +0000

kdeplasma-addons (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:21 +0000

kdeplasma-addons (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:25 +0000

kdeplasma-addons (4:5.12.0-0ubuntu2) bionic; urgency=medium

  * Exclude qml-module-qtwebengine dependancy on s390x and ppc64el
    where not this is available, and dict applet requiring it is
    not built.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 08 Feb 2018 09:01:12 +0000

kdeplasma-addons (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * Add build dep on qtwebengine5-dev for new KF5 port of dict applet
  * Install resultant dict applet files
  * Update install files and lintian overrides
  * Runtime dep on qml-module-qtwebengine for plasma-widgets-addons
  * New upstream release (5.11.95)
  * Don't build dict applet on ppc64el and s390x due to missing
    QtWebEngine build depends
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:49:51 +0000

kdeplasma-addons (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:31 +0000

kdeplasma-addons (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:25 -0600

kdeplasma-addons (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:57:58 +0000
