=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               kinit-dev (>= 5.36.0~),
-               kross-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               kinit-dev (>= 5.42.0~),
+               kross-dev (>= 5.42.0~),
                libboost-dev,
                libgee-0.8-dev | libgee-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.36.0~),
-               libkf5config-dev (>= 5.36.0~),
-               libkf5configwidgets-dev (>= 5.36.0~),
-               libkf5coreaddons-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5kcmutils-dev (>= 5.36.0~),
-               libkf5kdelibs4support-dev (>= 5.36.0~),
-               libkf5kio-dev (>= 5.36.0~),
-               libkf5newstuff-dev (>= 5.36.0~),
-               libkf5plasma-dev (>= 5.36.0~),
-               libkf5runner-dev (>= 5.36.0~),
-               libkf5service-dev (>= 5.36.0~),
-               libkf5sysguard-dev (>= 4:5.10.5~),
-               libkf5unitconversion-dev (>= 5.36.0~),
+               libkf5activities-dev (>= 5.42.0~),
+               libkf5config-dev (>= 5.42.0~),
+               libkf5configwidgets-dev (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5kcmutils-dev (>= 5.42.0~),
+               libkf5kdelibs4support-dev (>= 5.42.0~),
+               libkf5kio-dev (>= 5.42.0~),
+               libkf5newstuff-dev (>= 5.42.0~),
+               libkf5plasma-dev (>= 5.42.0~),
+               libkf5runner-dev (>= 5.42.0~),
+               libkf5service-dev (>= 5.42.0~),
+               libkf5sysguard-dev (>= 4:5.12.4~),
+               libkf5unitconversion-dev (>= 5.42.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -33,9 +33,10 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.10.5~),
+               plasma-workspace-dev (>= 4:5.12.4~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
+               qtwebengine5-dev [!ppc64el !s390x],
                scim-dev,
                shared-mime-info
 Standards-Version: 3.9.8
@@ -70,47 +71,6 @@
  the Plasma 5 addons module.
  .
  This package is part of the KDE Plasma addons module.
-
-Package: plasma-widgets-addons
-Architecture: any
-Depends: kdeplasma-addons-data (= ${source:Version}),
-         kpackagetool5,
-         libkf5purpose5,
-         plasma-dataengines-addons (= ${binary:Version}),
-         plasma-framework,
-         plasma-workspace,
-         qml-module-org-kde-draganddrop,
-         qml-module-org-kde-kcoreaddons,
-         qml-module-org-kde-kio,
-         qml-module-org-kde-purpose,
-         qml-module-qtgraphicaleffects,
-         qml-module-qtquick-layouts,
-         qml-module-qtquick-window2,
-         qml-module-qtwebkit,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: plasma-wallpapers-addons (<< ${source:Version})
-Replaces: plasma-wallpapers-addons (<< ${source:Version})
-Description: additional widgets for Plasma 5
- This package contains additional Plasma 5 widgets shipped in the Plasma
- addons module. Install it if you want a variety of widgets on your Plasma
- desktop.
- .
- This package provides the following widgets:
-  * Calculator
-  * Dictionary
-  * Fuzzy Clock
-  * Konsole Profiles
-  * Notes
-  * System Load Viewer
-  * Timer
-  * Unit Converter
-  * Userswitcher
-  * Diskquota
-  * Activity pager
-  * More coming soon..
- .
- This package is part of the KDE Plasma 5 addons module.
 
 Package: plasma-dataengines-addons
 Architecture: any
@@ -161,3 +121,45 @@
   * More coming soon..
  .
  This package is part of the KDE Plasma 5 addons module.
+
+Package: plasma-widgets-addons
+Architecture: any
+Depends: kdeplasma-addons-data (= ${source:Version}),
+         kpackagetool5,
+         libkf5purpose5,
+         plasma-dataengines-addons (= ${binary:Version}),
+         plasma-framework,
+         plasma-workspace,
+         qml-module-org-kde-draganddrop,
+         qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kio,
+         qml-module-org-kde-purpose,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
+         qml-module-qtwebengine [!ppc64el !s390x],
+         qml-module-qtwebkit,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: plasma-wallpapers-addons (<< ${source:Version})
+Replaces: plasma-wallpapers-addons (<< ${source:Version})
+Description: additional widgets for Plasma 5
+ This package contains additional Plasma 5 widgets shipped in the Plasma
+ addons module. Install it if you want a variety of widgets on your Plasma
+ desktop.
+ .
+ This package provides the following widgets:
+  * Calculator
+  * Dictionary
+  * Fuzzy Clock
+  * Konsole Profiles
+  * Notes
+  * System Load Viewer
+  * Timer
+  * Unit Converter
+  * Userswitcher
+  * Diskquota
+  * Activity pager
+  * More coming soon..
+ .
+ This package is part of the KDE Plasma 5 addons module.
