## kdeplasma-addons 5.12.8

=== debian/changelog ===
kdeplasma-addons (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:38:59 +0100

kdeplasma-addons (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:11 +0100

kdeplasma-addons (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:32 +0100

kdeplasma-addons (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:39 +0100
