=== applets/userswitcher/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.userswitcher)
