=== debian/changelog ===
kdeplasma-addons (4:5.12.9-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9). (LP: #1843613)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Sep 2019 10:41:13 +0100
