=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf5plasma-dev (>= 5.42.0~),
                libkf5runner-dev (>= 5.42.0~),
                libkf5service-dev (>= 5.42.0~),
-               libkf5sysguard-dev (>= 4:5.12.4~),
+               libkf5sysguard-dev (>= 4:5.12.8~),
                libkf5unitconversion-dev (>= 5.42.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
@@ -33,12 +33,12 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.12.4~),
+               plasma-workspace-dev (>= 4:5.12.8~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qtwebengine5-dev [!ppc64el !s390x],
                scim-dev,
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
